public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Miroslav Šulc" <fordfrog@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/java-getopt/
Date: Wed, 28 Apr 2021 08:43:43 +0000 (UTC)	[thread overview]
Message-ID: <1619599418.98c47fa98315ba70f5e9f9c79f46c0c0fe71d4ec.fordfrog@gentoo> (raw)

commit:     98c47fa98315ba70f5e9f9c79f46c0c0fe71d4ec
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Wed Apr 28 07:33:35 2021 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Wed Apr 28 08:43:38 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98c47fa9

dev-java/java-getopt: min java 1.8

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/20568
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-java/java-getopt/java-getopt-1.0.14-r1.ebuild | 33 +++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-java/java-getopt/java-getopt-1.0.14-r1.ebuild b/dev-java/java-getopt/java-getopt-1.0.14-r1.ebuild
new file mode 100644
index 00000000000..2cf4dd980a5
--- /dev/null
+++ b/dev-java/java-getopt/java-getopt-1.0.14-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="Java command line option parser"
+HOMEPAGE="https://www.urbanophile.com/arenn/hacking/download.html"
+SRC_URI="https://www.urbanophile.com/arenn/hacking/getopt/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="1"
+KEYWORDS="amd64 ~arm ~arm64 ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
+
+DEPEND=">=virtual/jdk-1.8:*"
+RDEPEND=">=virtual/jre-1.8:*"
+
+S="${WORKDIR}"
+
+src_prepare() {
+	default
+	mv gnu/getopt/buildx.xml build.xml || die
+}
+
+src_install() {
+	java-pkg_dojar build/lib/gnu.getopt.jar
+	dodoc gnu/getopt/COPYING.LIB gnu/getopt/ChangeLog gnu/getopt/README
+	use doc && java-pkg_dojavadoc build/api
+	use source && java-pkg_dosrc gnu
+}


             reply	other threads:[~2021-04-28  8:43 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-28  8:43 Miroslav Šulc [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-23  6:39 [gentoo-commits] repo/gentoo:master commit in: dev-java/java-getopt/ Arthur Zamarin
2023-10-27  7:11 Florian Schmaus
2023-10-18  6:44 Sam James
2023-10-18  6:44 Sam James
2023-09-18  6:47 Miroslav Šulc
2023-09-18  6:47 Miroslav Šulc
2021-04-28  8:43 Miroslav Šulc
2017-07-13 18:32 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1619599418.98c47fa98315ba70f5e9f9c79f46c0c0fe71d4ec.fordfrog@gentoo \
    --to=fordfrog@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox